package com.ssj.service.kmt.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class KnowHowDTO implements Serializable {

    private static final long serialVersionUID = -7884707624892891677L;

    private String id;
    private String name;
    private List<KnowHowDetailsDTO> details = new ArrayList<>();

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<KnowHowDetailsDTO> getDetails() {
        return details;
    }

    public void setDetails(List<KnowHowDetailsDTO> details) {
        this.details = details;
    }

    public void addHowDetails(KnowHowDetailsDTO howDetailsDTO){
        if (details == null) {
            details = new ArrayList<>();
        }
        details.add(howDetailsDTO);
    }
}
